Getting started

The WeSay program is intended for a team of people who are all working on a dictionary project:

  • The advisor (a person with sufficient computer experience and assigned to this role) configures WeSay with the WeSay Configuration Tool.

  • Users (non-linguist native speakers and others) contribute to the dictionary with WeSay.

Said another way, users use WeSay as configured by the adviser. Users typically have less computer experience, especially when the dictionary project is beginning.

An adviser can choose to

  • enable one task at a time

  • sequentially enable additional tasks or make actions visible

  • enable different tasks and make different actions visible for individual users, based on their individual skills and intended contributions.

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

  • The WeSay Users group (http://groups.google.com/group/wesay) is an important resource where you can share best practices, and find answers to questions.

  • WeSay is not intended to be used by a lone linguist to build an entire dictionary. More fully-featured programs, like FieldWorks Language Explore (FLEx), are recommended for linguists to construct lexicons. Send/Receive can share data between WeSay and FLEx.

Related Topics

Basic Tasks overview

Concepts overview

WeSay Application overview

WeSay Configuration Tool overview

Related Internet Sites

http://www.wesay.org/wiki/Main_Page

http://www.wesay.org/blogs/


Technical support

WeSay is Open Source Software distributed for free. As such, there is no warranty, and we cannot guarantee support. However, we and the WeSay user community welcome your questions, suggestions, success stories, and problem reports.

  • For problem reports, see Information for bug reports below.

  • For all other correspondence, please join a WeSay user group, such as http://groups.google.com/group/wesay.

  • More information is available online. The WeSay site: http://wesay.org/wiki/Help_And_Contact

  • http://wesay.org/wiki/Main_Page has

    • downloads (http://wesay.org/wiki/Downloads),

    • and more.

Related Topics

Getting Started

Information for bug reports


Concepts overview

This Help sub-book contains topics which provide basic understanding of some terms and concepts.

  • Gloss versus Definition

  • Home tab

  • Insertion point

  • Option fields

  • Task-Based Approach to Dictionary Making

  • User-Specific Configuration Settings

  • Word versus Citation Form

Note

  • For more information, see http://wesay.org/wiki/Main_Page on the Internet.

Related Topics

Tasks you can enable

WeSay Application overview

WeSay Configuration Tool overview


Gloss versus Definition

In WeSay we prefer to use definition (meaning) instead of gloss, which is intended for use with interlinear texts. So, by default, the program is set up to display only definitions. These appear as Meaning 1, Meaning 2 and so on, in the Meanings tab and Dictionary Browse and Edit tab.

However, if the dictionary was created in WeSay from a source file that had glosses then an advisor can also choose to display the Gloss field in WeSay. Gloss field data can appear when Send/Receive is used between FieldWorks Language Explorer and WeSay.

Here is a sample screen shot of the Fields area (in WeSay Configuration Tool):

Tip

  • The word descriptions entered in definitions can be many words, much longer than a typical gloss, but they don't necessarily have to be. For a dictionary that is translating from one language to another, one or two word definitions are often sufficient.

Related Topics

Concepts overview


Home tab

In WeSay, the Home tab is the first WeSay screen you see when WeSay opens.

It displays

  • the name of the current dictionary

  • the number of words in that dictionary.

  • a button for each enabled task or visible action

    • Some buttons show a colored progress indicator which indicates progress with the particular task.

Example 1 - one task enabled; seven actions visible

Example 2 - ten tasks enabled; seven actions visible

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

Related Topics

Concepts overview

WeSay Application overview

WeSay Configuration Tool overview


Insertion Point

In most computer programs, the insertion point is that location where the next character you type will appear. This location is often indicated by a blinking vertical line, usually called the cursor.

  • Typically, you can use the Tab key to move the insertion point forward to the next possible location; Shift+Tab moves the insertion point backwards to the previous possible location.

Related Topics

Concepts overview

WeSay Configuration Tool overview


Option fields

Some fields allow you to select an item from a list of options.

  • For the PartOfSpeech field in Dictionary Browse & Edit and in Parts of Speech, you choose parts of speech from a drop-down list.

  • For the Semantic Domains field in Dictionary Browse & Edit, you start to type the abbreviation of a semantic domain, and then a list appears based on what you typed.

You can add and delete options for option fields.

Related Topics

Concepts overview

WeSay Configuration Tool overview


Task-Based Approach to Dictionary Making

By using the WeSay Configuration Tool, advisors can change the entire functionality of WeSay.

Advisors specify which task or action buttons are visible on the Home tab, and can thereby customize the Home tab for each user. Then, each user will see only buttons that match their skills and intended contributions, without being overwhelmed by buttons they will not use. The advisor can do the same with fields and option lists. As the project progresses, more tasks, actions, fields and option list items, can be enabled or made visible.

In the sample picture below, when this WeSay project first opens, this particular user can do only two tasks and one action:

  • add words in the Semantic Domains tab (a Gather task)

  • add meanings in the Dictionary Browse & Edit tab (a Describe task)

  • back up the dictionary with Backup (a Share action).

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

  • The WeSay Users group (http://groups.google.com/group/wesay) is an important resource where you can share best practices, and find answers to questions.

Related Topics

Concepts overview

User-Specific Configuration Settings


User-Specific Configuration Settings

Settings that advisors can configure include tasks, input systems, fields, actions, interface language, backup, and option lists.

Some custom configuration settings will persist in WeSay after Send/Receive is used to share data between WeSay users. These are user-specific configuration settings. All other configuration settings are synchronized by Send/Receive.

Specifically, the repository folder contains two configuration settings files:

  • One file stores user-specific configuration settings. This file is not updated by Send/Receive. In the WeSay Configuration Tool, the [image] icon appears to inform you that user-specific settings are currently displayed (example).

  • The other file stores all other configuration settings, which are not user-specific. This file is updated by Send/Receive. Therefore, after all the users have synchronized their data with the repository, all users will see common configuration settings, such as which buttons appear on the Home tab.

Important

  • Much benefit for the team and individuals on the team can be realized by custom configuration setting as described in Getting Started and Task-Based Approach to Dictionary Making. This is especially true for users who have very little or no computer experience, and the dictionary effort is just beginning. Advisors need to be aware of that non-user-specific configuration settings will be lost with Send/Receive.

  • The WeSay Users group (http://groups.google.com/group/wesay) is an important resource where you can share best practices, and find answers to questions.

Related Topics

Concepts overview

WeSay Configuration Tool overview


Word versus Citation form

In WeSay, the Dictionary Browse and Edit tab shows a preview of the dictionary entry for the current word. It shows that content in the Word field is the headword, unless there is content in the Citation Form field.

Related Topics

Concepts overview


Basic Tasks overview

The Basic Tasks Help book contains topics that you do at the beginning of a dictionary project, or that you might do frequently. For tasks and actions done with the WeSay Configuration Tool or WeSay, refer to First window, WeSay Configuration Tool overview or WeSay Application overview.

Basic Tasks topics

  • Installation overview

  • Set up a new project overview

  • Open a WeSay Project

  • Interact with FLEx

Related Topics

Concepts overview

Getting Started

Information for bug reports

See the About WeSay information box


Open a WeSay project

To open the last WeSay project you had open, click the [image] WeSay desktop icon. Otherwise, do the following:

  • Click the Windows Start menu, click All Program, click the WeSay folder to expand it, and then click either [image] WeSay or [image] WeSay Configuration Tool.

    If you clicked [image] WeSay, that project opens in WeSay.

    If you clicked [image] WeSay Configuration Tool, the first window appears. Below Open is a list projects that were recently open, and the Browse for other projects command. Do one of the following:

    • Click the WeSay project you want to open.

      That project opens in the WeSay Configuration Tool.

      To open that project in WeSay, click [image] Open in WeSay on the WeSay Configuration Tool menu bar.

    • Click Browse for other projects, click the project you want to open, and then click Open.

Related Topics

Basic Tasks overview

First window

Getting Started


Interact with FLEx

To get FieldWorks Language Exporter (FLEx) data, use Send/Receive LIFT in FLEx to put the repository on a USB flash drive or on the Internet.

Then, in the WeSay Configuration Tool, use Get from USB Drive or Get from Internet. Later, use Send/Receive in WeSay to update the repository on the USB drive, followed by Send/Receive in FLEx to receive the repository updates done in WeSay.

Note

  • While it is technically possible to export the FLEx data to a LIFT 0.13 XML file, and then use Create a new project from a plain set LIFT files to create a new WeSay project, only Send/Receive allows you to collaborate with others working on the same project.

Related Topics

Basic Tasks overview

WeSay Configuration Tool overview

Related Internet Sites

http://fieldworks.sil.org/download/

http://projects.palaso.org/projects/chorus

http://solid.palaso.org/

http://wesay.org/wiki/Main_Page


Information for bug reports

Any time you submit a bug report, include the following:

  • The version of the SIL WeSay program that you are using:

    • Click the [image] button, and then click About WeSay. The About WeSay Configuration Tool Information box gives the build number, which is also shown more fully on the Title bar.

  • A description of what happened:

    • What were you trying to get done?

    • How did you try doing it?

    • What did you expect to happen?

    • What happened instead?

    • Can you make the problem happen again? If so, what are the exact steps?

Related Topics

Technical support


Installation overview

To install WeSay, you typically need to do the following:

  1. Download the WeSay installer.

  2. Run the installer.

Note

  • To find the right file, look for a name like WeSayInstaller.0.9.54.msi that has a size of roughly 6.0 – 7.0 M and the description WeSay Installer.

Tip

  • Check the WeSay website, www.wesay.org, for more information about this product.

  • The FAQ (http://www.wesay.org/wiki/FAQ) page contains information about system requirements and WeSay details.

Related Topics

Getting Started


Installation prerequisites

WeSay currently runs on Windows XP, Vista, Windows 7 and (probably) Windows 2000. It requires Microsoft .Net Framework 3.5, or Ubuntu Linux with Mono. It runs fine on inexpensive netbooks like the Asus Eees. Using the BALSA OS-on-SD-Card, it can be used on the rugged One-Laptop-Per-Child XO machines.

Windows 2000, XP, Vista, Windows 7

WeSay on Windows requires .Net 3.5. This is the same .net required by FieldWorks and Paratext7, which both come with the .net 3.5 installer.

If the machine you are putting WeSay on is not getting regular Windows updates, you may not have another free Microsoft piece required to install .Net, which is Microsoft Installer 3.1 (or later).

The same WeSay works with both 32 and 64 bit version of Windows.

Linux

WeSay is runs on Linux using Mono. The PaLaSo group is shipping test versions for Ubuntu Linux. Read about the state of WeSay on Linux.

Mac

WeSay is not available for the Mac. If you are a programmer who would like to get it running for the mac, many people would be thankful.

Tip

  • http://wesay.org/wiki/Prerequisites or http://www.wesay.org/wiki/FAQ may have more up-to-date information.

Related Topics

Getting Started

Installation overview


Download WeSay

To install WeSay, do the following:

  1. Find the installer at the WeSay web page: www.wesay.org/downloads. In this index, click on the most recent WeSay update.

    There are two versions of WeSay for you to choose from – the odd version and the even version. The even version, which is currently WeSay.0.4, is the stable version. The odd version, which is currently WeSay.0.5, is the development version. This version has more features but there may also be some issues.

    The Windows version of WeSay currently runs on Windows XP, Vista or 7, and Windows 2000. It requires Microsoft .Net Framework 2.0, and Windows Installer 3.1 or later.

  2. After you download WeSay, run the installer.

Note

  • To find the right file, look for a name like WeSayInstaller.0.9.54.msi that has a size of roughly 6.0 – 7.0 M and the description WeSay Installer.

Tip

  • Check the WeSay website, www.wesay.org, for more information about this product.

  • The FAQ (http://www.wesay.org/wiki/FAQ) page contains information about system requirements and WeSay details.

Related Topics

Getting Started

Installation overview


Run WeSay Installer

Run the Installer and Start WeSay

  1. After you download WeSay, double-click on the icon to start the setup.

    • You should see a pop-up progress indicator.

    • There will be no setup menu asking you to confirm the installation. When the welcome text appears, WeSay will have already finished installing.

  2. After WeSay is installed on your computer, you can start WeSay or the WeSay Configuration Tool. Click the Start menu, point to All Programs, expand the WeSay folder, and then click one of the following:

    • Configure Biatah Sample - to open a sample dictionary in WeSay Configuration Tool. In this case, see WeSay Configuration Tool overview.

    • Run Biatah Sample - a sample dictionary that opens in WeSay. In this case, see WeSay Application overview.

    • WeSay Configuration Tool - to open the WeSay Configuration Tool. In this case, see First window.

    • WeSay - to open the WeSay program to the last project you had open. In this case, see WeSay Application overview.

Note

  • When you open the WeSay Configuration Tool for the first time, a pop-up is appears and will ask you to give usage statistics to the developers of WeSay. Read this and decide whether or not to share your information.

  • You can also find WeSay Configuration Tool.exe and WeSay.App.exe at

    • Vista/Windows 7 - C:\Program Files (x86)\WeSay

    • XP - C:\Program Files\WeSay

Tip

  • Check the WeSay website, www.wesay.org, for more information about this product.

  • The FAQ (http://www.wesay.org/wiki/FAQ) page contains information about system requirements and WeSay details.

Related Topics

Getting Started

Installation overview


Set up a new project overview

Create a new project

  • To create a new project when you do not have any existing data, create a new blank project.

  • To create a new project using existing data, do any of the following:

    • For data in LIFT files which are not in a Chorus repository, use Create a new project from a set of plain LIFT files.

    • For data in a Chorus repository which is on a USB drive or on the Internet, use Get from USB Drive or Get from Internet.

      For example, to get data from FieldWorks Language Exporter (FLEx), use Send/Receive LIFT in FLEx to create the Chorus repository. (See Also: Interact with FLEx.)

Set up the new project

Advisors use the WeSay Configuration Tool to configure the WeSay project. They need to configure the following:

  • Tasks

  • Input Systems

  • Fields

  • Interface language and font

  • Actions

  • Backup

  • Option Lists

Related Topics

Basic Tasks overview

First window

Getting Started

Related Internet Sites

http://solid.palaso.org

http://projects.palaso.org/projects/show/liftbridge

http://projects.palaso.org/projects/chorus


Create a blank new project

  1. If the WeSay Configuration Tool is not running, do the following:

    • Click the Start menu, point to All Programs, expand the WeSay folder, and then click WeSay Configuration Tool.

    The WeSay Configuration Tool window opens and displays Create, Get, and Open commands.

  2. On the menu bar, click [image] Create a WeSay Project.

    The Create Blank New Project dialog box opens.

  3. In the dialog box,

    • Choose the vernacular language for your dictionary.

    • Type the name of the project.

  4. Click OK.

    The New Project Information dialog box opens.

  5. In the dialog box, do the following:

    • If you what to move the project folder to another location (optional), click the hyperlink in the dialog box, and follow the instructions that appear.

    • Click OK.

Related Topics

Set up a new project overview

WeSay Configuration Tool overview


Create a project from LIFT files

Create new project from a set of plain LIFT files

If the LIFT files came from a conversion program that does not create a Chorus repository (such as SOLID or Lexique Pro), then use this method to create a new WeSay project:

  1. Make sure the LIFT files are accessible to your computer.

  2. If the WeSay Configuration Tool is not running, do the following:

    • Click the Start menu, point to All Programs, expand the WeSay folder, and then click WeSay Configuration Tool.

    The WeSay Configuration Tool window opens and displays Create, Get, and Open commands.

  3. Click [image] Create a new project from a set of plain LIFT files.

    A dialog box opens with information about the use of the method. If this method is what you want to do, then continue.

  4. In the dialog box that appears, do the following:

    • Click the ellipsis button ( [image]) that is next to the Where is the LIFT file box. Select the file, and then click Open.

    • Enter a name in the What would you like to call this project box.

    • Click OK.

    The New Project Information dialog box opens.

  5. In the dialog box, do the following:

    • If you what to move the project folder to another location (optional), click the hyperlink in the dialog box, and follow the instructions that appear.

    • Click OK.

Related Topics

Set up a new project overview

WeSay Configuration Tool overview

Related Internet Sites

http://solid.palaso.org

http://projects.palaso.org/projects/show/liftbridge

http://projects.palaso.org/projects/chorus


First window

If the WeSay Configuration Tool is open to a particular WeSay project, then it appears as described WeSay Configuration Tool overview.

If the WeSay Configuration Tool is not open to a particular WeSay project, such as if you just ran the WeSay installer, then the commands listed below are displayed.

  • Create

    • Create a new blank project.

    • Create a new project from a plain set of LIFT files.

  • Get

    • Get From USB Flash Drive

    • Get from Internet

  • Open

    • <name of an existing project> (Click the name of the project you want to open.)

    • Browse for other projects. (Click this command to open the Open WeSay Project dialog box. Click the desired WeSay project, and then click Open.)

Related Topics

Concepts overview

Getting Started

Open a WeSay project


WeSay Configuration Tool overview

You use the WeSay Configuration Tool to setup the WeSay Application ("WeSay").

If the WeSay Configuration Tool is not open to a particular WeSay project, then it appears as described in First window. If the WeSay Configuration Tool is open to a particular WeSay project, then it appears as described below.

There a menu bar with these buttons:

  • (Create new WeSay project)

  • (Open another WeSay project) See Also: Open a WeSay Project.

  • (which opens these Helps or the About box)

  • Open in WeSay (which opens the current project in WeSay).

Below the menu bar you see these icons:

Tasks

    • Enable specific tasks.

Input Systems

    • Input Systems overview

      • Add a writing system (language)

      • Delete a writing system (language)

      • Identifiers tab

      • Spelling tab

      • Fonts tab

      • Keyboards tab

      • Sorting tab

Fields

    • Fields overview

      • Add or Delete a field

      • Select fields to display in WeSay

      • Setup tab

Actions

    • Actions overview

      • Backup to USB Flash Drive

      • Email this dictionary to <name>

      • Send/Receive

      • Open in Lexique Pro

      • Make Pdf Dictionary

      • Export to SFM

      • Make OpenOffice Document

      • Export to XHTML

Interface Language

    • Interface Language overview

      • Select the Interface Language

      • Select the Interface font

Backup

    • Backup Media Location

Option List

    • Add or Delete an Option

Related Topics

Concepts overview

Getting Started


Tasks overview

Using the WeSay Configuration Tool, advisors use Tasks features to enable only the specific tasks they want to be available to WeSay users. Here are the possible tasks:

  • Dictionary Browse and Edit

  • Add Meanings

  • Add Parts of Speech

  • Add Example Sentences

  • Add Base Forms

  • History

  • Browse Notes in Project

  • SIL-CAWL Word List (Gather words using)

  • Gather words By Semantic Domain

Example (WeSay Configuration Tool screenshot)

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

  • Advisors can also make actions visible or invisible to WeSay users.

Related Topics

Concepts overview

WeSay Configuration Tool overview


Enable Tasks

Enabled tasks are available for use in WeSay; tasks that are not enabled are hidden from WeSay users.

  1. In the WeSay Configuration Tool, click [image] Tasks.

  2. In the right pane, for the following

    • Select ( [image]) the tasks you want to enable in WeSay.

    • Clear ( [image]) the tasks you do not want enabled in WeSay.

  3. Click the task name for each selected task, and then read the information under About this task on the right.

    • For some tasks, such as Add Meaning, you need to click one or more links, and then choose writing systems.

    • For the Add Example Sentences task, select ( [image]) the check box if you want to display an editable translation field below the example sentences.

    • For the Gather Words by Semantic Domain, select ( [image]) the check box if you want to display and enable the Meaning field in the Semantic Domains tab. This enables the addition of a short definition for each collected word.

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

Related Topics

Create a project from a FLEx LIFT export

Task-Based Approach to Dictionary Making

Tasks you can enable

WeSay Configuration Tool overview


Dictionary Browse & Edit (Config Tool)

Dictionary Browse & Edit task

If the Dictionary Browse & Edit task is available in WeSay, users can do any of the following:

  • Search all the entries and edit data in entries that are incorrect or incomplete.

  • Add a New Word.

  • Use Delete This Word.

  • Use Show/Hide Uncommon Fields.

Related Topics

Concepts overview

WeSay Application overview

WeSay Configuration Tool overview


Input Systems overview

In the WeSay Configuration Tool, advisors use the Input Systems features to select languages, set up fonts, keyboards, sorting, and more for the WeSay project.

Left pane

  • A list of languages you can choose, and links you can use.

    • Languages used in the current dictionary project are all listed. (You also see these listed in the Setup tab (Fields). If you click one, it becomes the current language as seen in the right pane.

    • Unknown Language allows you to add a language for which there is not an ISO639 Code. These have "x-____" specified in the Variant box.

    • Add Language and Change to Listed Language both open the Lookup ISO639 Code dialog box. Then, you can add a new language or choose a different ISO639 code for the currently selected language.

    • Other Languages lists major languages you can add.

  • A More button with these options:

    • Add New Language by Copying <current language>.

    • Delete <current language>.

    • Save a Copy of <current language> LDML file (Locale Data Markup Language).

    • Import from LDML File.

Tip

  • An LDML file contains all the input system settings specified for a language. So, someone can specify all the settings and then save a copy of that file. Someone else can import that LDML file. Then, the setting all match.

Right pane

  • For the language selected in the left pane (identified above the tabs in the right pane), advisors change its attributes on these tabs:

    • Identifiers

    • Spelling

    • Fonts

    • Keyboards

    • Sorting

Related Topics

Add a writing system (language)

Delete a writing system (language)

Identifiers tab

Spelling tab

Fonts tab

Keyboards tab

Sorting tab

WeSay Configuration Tool overview

Related Internet Sites

http://www.wesay.org/wiki/LocalizingWeSay

http://www.wesay.org/wiki/FAQ

http://www.infoterm.info/standardization/iso_639_1_2002.php

http://www.sil.org/iso639-3/


Add a writing system

Advisors can add a writing system (language).

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, do one of the following:

    • Click the most applicable Add link, such as one of the links below an existing language, or below Language Not Listed, Unknown Language, or Other Languages.

    • Click the More button, and then select the Add New Language by Copying <language>.

  3. Select the new writing system in the right pane, and then make sure the data on each of these tabs is correct:

    • Identifiers

    • Spelling

    • Fonts

    • Keyboards

    • Sorting.

Related Topics

Input Systems overview

WeSay Configuration Tool overview


Delete a writing system

Advisors can delete a writing system (language).

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click the writing system you want to delete.

  3. Click the More button, and then select the Delete <language>.

Related Topics

Input Systems overview

WeSay Configuration Tool overview


Keyboard tab

Keyboards tab

Advisors select a keyboard for each writing system that needs one.

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click the desired writing system.

  3. In the right pane, click the Keyboards tab.

  4. In the Keyboards box, select the desired keyboard (must be installed and configured on this computer).

  5. Type some characters in the Text Area to make sure they appear as desired (optional).

Related Topics

Input Systems overview

WeSay Configuration Tool overview


Identifiers tab

Advisors enter an abbreviation and other special distinguishing information about a language (writing system).

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click the desired language.

  3. In the right pane, click the Identifiers tab.

  4. In the Abbreviation box, enter an abbreviation, or edit the current one if it is not correct.

  5. In the Special box, select one of the following:

    • None

    • IPA Transcription. Then, select the Purpose.

    • Voice. This will enable you to record and playback audio recordings.

    • Script/Region/Variant. Then select a Script or Region, or type a Variant identifier.

  6. Select ( [image]) This is a right to left writing system for a right-to-left writing system.

  7. Type some characters in the Text Area to make sure they appear as desired (optional).

Important

  • Regarding Script/Region/Variant, if you need to distinguish the writing system from other writing systems associated with the same language, consider the following:

    • Script: If the writing system uses a different script, select a script name.

    • Region: If the writing system is associated with a different dialect, select the region that uses this dialect.

    • Variant: If the writing system is a different type (such as Phonemic or Phonetic) or version (for example, version 2), enter a variant name. Limit it to 8 characters.

Related Topics

Input Systems overview

WeSay Configuration Tool overview

Related Internet Sites

http://www.w3.org/International/questions/qa-choosing-language-tags


Fonts tab

Advisors select a font and font attributes for a language.

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click the desired language.

  3. In the right pane, click the Fonts tab.

  4. In the Font box, select the desired font.

  5. In the Size box, select the desired font size.

  6. Select ( [image]) This is a right to left writing system for a right-to-left writing system.

  7. Type some characters in the Text Area to make sure they appear as desired (optional).

Related Topics

Input Systems overview

WeSay Configuration Tool overview


Sorting tab

Using the WeSay Configuration tool, there are different options advisors can select to indicate how a given writing system should be sorted.

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click to select the desired writing system.

  3. In the right pane, click the Sorting tab.

  4. Click the Sort down arrow, and then do one of the following:

    • Select Default Ordering.

    • Select Custom Simple (Shoebox style) rules, and then manually set the sort order in the area below the Sort box.

    • Select Custom ICU Rules, and then type the rules in the area below the Sort as box.

    • Select Same as another language. Then, click the Language down arrow, and select a major language that has the same short order as the current (selected) writing system.

  5. To make sure you made sort order is as desired, click the Test Sort button, and examine the order to the words listed in the Sort Results box.

    • If necessary, type additional words in the Text to Sort box. Then click Test Sort again. Repeat this until you are satisfied with the sort.

Related Topics

Input Systems overview

WeSay Configuration Tool overview

Related Internet Sites

http://wesay.org/wiki/How_to_sort_using_a_custom_sort_sequence


Spelling tab

Advisors verify and select the spelling dictionary for a writing system (language).

  1. In the WeSay Configuration Tool, click [image] Input Systems.

  2. In the left pane, click the desired writing system.

  3. In the right pane, if the identifier in the Spell Checking ID box does not match the abbreviation for this language, or if you need a different one, select it in the Spell Checking ID box.

Related Topics

Input Systems overview

WeSay Configuration Tool overview


Fields overview

In the WeSay Configuration Tool, advisors use Fields features to select which fields to make available to WeSay users, and specify various attributes about each field.

  • Select fields to display in WeSay

  • Add or Delete a field

  • Use the Setup tab

Note

  • For more information, see http://wesay.org/wiki/Main_Page on the Internet.

Related Topics

WeSay Configuration Tool overview


Add or delete a field

Advisors can add custom fields, or delete custom fields. The fields are added to or removed from WeSay.

  1. In the WeSay Configuration Tool, click [image] Fields.

  2. Do one of the following:

    • Click [image] New Field, and then type or select field attributes in the Setup tab.

    • Click the custom field you want to delete, and then click [image] Delete Field.

Related Topics

Fields overview

WeSay Configuration Tool overview


Setup tab

When advisors select fields for WeSay, they need to set up fields attributes.

  • In the center pane, click the name of the field will change using the Setup tab.

  • For each box in the Setup tab, and type or select the expected content:

Item

Expected content you need to type or select

Name for display

This is the name of the field that appears in WeSay.

Name in file

The name of the field as used in the file is displayed, but is not editable for standard field.

For an added field, content from the Name for display box appears, but without spaces between words. Edit that name, if necessary.

Belongs to

For an added field, select where in the entry the field belongs. Options:

  • Entry/Lexeme/Word

  • Sense

  • Example Sentence.

Data type

For a field you added, select a type from the list. Options:

  • Text in one or more writing systems

  • Choice from a list of options

  • Multiple choices from a list of options

  • Picture

  • Relation to a single entry

Spelling

To enable spell checking, select ( [image]) the check box.

Visibility

To specify that the field is normally hidden when it is empty, select ( [image]) the check box. See also: Show/Hide Uncommon Fields.

Paragraph

To allow the field to contain more than one paragraph, select ( [image]) the check box.

Input Systems

  • Abbreviations of languages are listed. Select ( [image]) each one you want to display in fields.

  • To change there order that the appear in fields, click one, and then click the up arrow ( [image]) or down arrow ( [image]) to change the order. Repeat as necessary.

  • See Also: Input Systems.

Description

For a added field, type a description about the intended content for the field.

Related Topics

Fields overview

WeSay Configuration Tool overview

Related Internet Sites

http://www.wesay.org/wiki/Help_And_Contact


Actions overview

In the WeSay Configuration Tool, advisors use Actions features to

  • complete any required setup work required by the action

  • choose to make actions available (visible) or unavailable (invisible) to WeSay users (See: Share overview)

  • do the action directly from the WeSay Configuration Tool.

This Help sub-book contains topics to help you do the following:

  • Backup to USB Flash Drive

  • Email this dictionary to someone

  • Send/Receive

  • Open In Lexique Pro

  • Make Pdf Dictionary

  • Export to SFM

  • Make OpenOffice Document

  • Export to XHTML

Note

  • Only user-specific configuration settings persist after Send/Receive with other WeSay users.

  • The actions that send data to documents, such as to PDF or OpenOfice, or to Lexique Pro, are not intended to result in polished documents that are ready for publishing. There is minimal control over the content or formatting of output. Use these actions for quick reviews or other temporary uses of the output.

    • Otherwise, use Send/Receive to share the data with FieldWorks Language Explorer (FLEx). FLEx allows you more control over content and formatting, and additional features to direct output.

  • Advisors can also enable tasks for WeSay users.

Related Topics

Home tab

WeSay Configuration Tool overview

Related Internet Sites

http://wesay.org/wiki/Main_Page


Backup to USB Flash Drive

In the WeSay Configuration Tool, advisors specify whether the Backup to USB Flash Drive feature is available or not available to WeSay users. Advisors can also backup the current dictionary directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Backup to USB Flash Drive, click one of the following:

    • To make this feature available on the WeSay Home tab, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. If you will back up the current dictionary to a USB flash drive directly from the WeSay Configuration Tool, do the following:

    • Insert the USB storage device into a USB port.

    • Click [image] Backup to USB Flash Drive.

Related Topics

Actions overview

Backup from WeSay

WeSay Configuration Tool overview


Email this dictionary

Email this Dictionary to someone

Email this Dictionary to <name> compresses the current dictionary, starts your default email program, attaches the compressed dictionary, and fills in the recipient's email address.

In the WeSay Configuration Tool, advisors set up Email this dictionary to <name>. Then they specify whether the feature is available or not available to WeSay users. Advisors can also send an email with the current dictionary directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Email this dictionary to <name>, click Set up. Do the following in the Send Project Email Settings dialog box:

    • In the Recipient Name box, type or paste the name of the recipient.

    • In the Email box, type or paste the email address of the recipient.

    • Click OK.

  3. To enable this feature in WeSay, click Make visible in WeSay.

    The link toggles to Make invisible in WeSay.

  4. To disable and hide this feature in WeSay, click Make invisible in WeSay.

    The link toggles to Make visible in WeSay.

  5. To email the current dictionary directly from the WeSay Configuration Tool, click [image].

Related Topics

Actions overview

WeSay Configuration Tool overview


Export to SFM

Export to SFM exports the current dictionary to an SFM (Standard Format Markup) file.

In the WeSay Configuration Tool, advisors set up the SFM export feature. They then specify whether the feature is available or not available to WeSay users. Advisors can also export the current dictionary to a SFM file directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Export to SFM, click Set up. Do the following in the Setup Standard Format Export dialog box:

    • In the Vernacular box, select the language code of the vernacular writing system.

    • In the English box, select the version of English you want to use.

    • In the National box, select the language code you want to set as the national language, if you need one.

    • In the Regional box, select the language code you want to set as the national language, if you need one.

    • In the Tweaks box, enter rules (in the form of to/from pairs), which you want to be applied to the output.

    • Click OK.

  3. To enable this feature in WeSay, click Make visible in WeSay.

    The link toggles to Make invisible in WeSay.

  4. To disable and hide this feature in WeSay, click Make invisible in WeSay.

    The link toggles to Make visible in WeSay.

  5. To export the current dictionary to a SFM file directly from the WeSay Configuration Tool, click [image].

    The dictionary opens in your default text editor, such as Notepad.

Tip

  • The Setup Standard Format Export dialog box gives some examples next to the Tweaks box. The WeSay goggle group discussions may offer additional help. See: http://groups.google.com/group/wesay.

Related Topics

Actions overview

Export to SFM (from WeSay)

WeSay Configuration Tool overview


Export to XHTML

Export to XHTML sends the current dictionary to a simple XHTML file.

In the WeSay Configuration Tool, advisors specify whether Export to XHTML available or not available to WeSay users. Advisors can also export the current dictionary to an XHTML file directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Export to XHTML, do one the following:

    • To enable this feature in WeSay, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. Click [image] to export the current dictionary directly from the WeSay Configuration Tool.

    The exported dictionary opens in your default web browser.

Related Topics

Actions overview

Export to XHTML (from WeSay)

WeSay Configuration


Make OpenOffice Document

Make OpenOffice Document exports the current dictionary to an OpenDocument format (ODF) file, which opens in OpenOffice, LibreOffice, and other programs.

In the WeSay Configuration Tool, advisors specify whether Make OpenOffice Document is available or not available to WeSay users. Advisors can also export the current dictionary to an OpenDocument file directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Make OpenOffice Document, do one of the following:

    • To enable this feature in WeSay, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. Click to [image] to send the current dictionary directly from the WeSay Configuration Tool to a OpenDocument file, with a filename extension of .odt.

    It will open in OpenOffice, LibreOffice or another program depending on which is installed as the default program for ODF files.

Related Topics

Actions overview

Make OpenOffice Document (from WeSay)

WeSay Configuration Tool overview

Related Internet Sites

http://en.wikipedia.org/wiki/OpenDocument


Make Pdf Dictionary

Make Pdf Dictionary exports the current dictionary to a PDF format file.

In the WeSay Configuration Tool, advisors specify whether Make Pdf Dictionary is available or not available in WeSay uses. Advisors can also export the current dictionary to the PDF format directly from the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Make Pdf Dictionary, do one of the following:

    • Click More Info, to open the About Make Pdf Dictionary info box.

    • Click the link to download PrinceXml, if it is not already installed.

    • Click the link to open a wiki page that has more information about Make Pdf Dictionary.

    • To enable this feature in WeSay, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. Click [image] Make Pdf Dictionary. to export the current dictionary into a pdf file.

    It opens in the reader which is currently set as the default reader for pdf files. Adobe Reader, Foxit Reader, PS View, and others are typically available as options you can use..

Note

  • This pdf export action is intended to produce useful draft printouts, not final publications.

  • PrinceXml is required for this action.

Related Topics

Actions overview

Make PDF Dictionar

WeSay Configuration Tool overview

Related Internet Sites

http://princexml.com/download/

http://wesay.org/wiki/MakePdfDictionary


Open in Lexique Pro

In the WeSay Configuration Tool, advisors specify whether Open in Lexique Pro is available or not available to WeSay users. Advisors can also send the current dictionary to Lexique Pro directly from the WeSay Configuration Tool. (The advisor needs to make sure that Lexique Pro is configured properly; refer to the Lexique Pro Help system for assistance.).

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Open in Lexique Pro, do any of the following:

    • To learn about Lexique Pro, click More Info.

    • To enable this feature in WeSay, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. Click [image] Open in Lexique Pro, to export the current dictionary directly from the WeSay Configuration tool.

    It opens in Lexique Pro, if it is installed.

Related Topics

Actions overview

Open in Lexique Pro (from WeSay)

WeSay Configuration Tool overview


Send/Receive

The Send/Receive feature sends your changes to a USB device, a server, or to another connected user, and receives changes from other WeSay users. Send/Receive also shares data with FieldWorks language Explorer (FLEx). Be aware that only user-specific configuration settings persist after Send/Receive with other WeSay users.

In the WeSay Configuration Tool, advisors specify whether Send/Receive is available or not available to WeSay users. Advisors can also use Send/Receive directly in the WeSay Configuration Tool.

  1. In the WeSay Configuration Tool, click [image] Actions.

  2. For [image] Send/Receive, do the following:

    • To enable this feature in WeSay, click Make visible in WeSay.

      The link toggles to Make invisible in WeSay.

    • To disable and hide this feature in WeSay, click Make invisible in WeSay.

      The link toggles to Make visible in WeSay.

  3. If you will use Send/Receive directly from the WeSay Configuration Tool, do the following:

    • Insert the USB device, or make sure the internet or shared network folder is available.

    • Click [image].

      Then, do the following in the WeSay Send/Receive dialog box:

      • Type a label to distinguish the point in the project history (optional).

      • If necessary, edit the content in the Your Name box.

      • Click USB Flash Drive, Internet, or Shared Network Folder.

      • When the send/receive process is finished, click Close.

Related Topics

Actions overview

Send/Receive (from WeSay)

WeSay Configuration Tool overview


Interface Language overview

In the WeSay Configuration Tool, advisors use Interface Language features to do the following:

  • Select an interface language.

  • Select a font and font attributes for the interface language.

Interface Language settings are user-specific configuration settings as indicated by the [image] icon.

Example

Related Topics

WeSay Configuration Tool overview

Related Internet Sites

http://www.wesay.org/wiki/LocalizingWeSay

http://www.wesay.org/wiki/FAQ

http://groups.google.com/group/wesay


Select interface language

Select an interface language

Advisors can select the WeSay User Interface language.

  1. In the WeSay Configuration Tool, click [image] Interface Language.

  2. Click the Interface Language down arrow, and then select a language.

  3. If necessary, select the user interface font.

Related Topics

Set up a new project overview

WeSay Configuration Tool overview


Select interface font

Select an interface font

Advisors can select font and font attributes for the selected user interface language.

  1. In the WeSay Configuration Tool, click [image] Interface Language.

  2. In the center pane, click the writing system.

  3. Click the Interface Font ellipsis button ( [image]) to open the Font dialog box.

  4. Select any of the following:

    • Font

    • Font style

    • Size

    • Script

  5. Click OK.

Related Topics

Interface Language overview

WeSay Configuration Tool overview


Backup Media Location

In the WeSay Configuration Tool, advisors use Backup features to make sure the automatic back up feature has a place to store the backup files.

First, the advisor needs to insert a media card (SD card, Compact flash card, or USB Flash drive or similar) into the computer, which should remain inserted permanently.

Then, the advisor needs to select the location of that media card:

  1. In the WeSay Configuration Tool, click [image] Backup.

    • Read all the information given in the right pane.

  2. Click the Backup Media Location ellipsis button ( [image]) to open the Browse For Folder dialog box.

  3. Select the media card/storage device, and then the folder.

  4. Click OK.

Related Topics

Actions overview

WeSay Configuration Tool overview


Add or delete an option

In the WeSay Configuration Tool, advisors use [image] Option Lists features to specify which options are available for selection by WeSay users.

Currently, options include:

  • grammatical categories which users can choose in the PartOfSpeech field

  • semantic domains which users can choose in the Semantic Domains tab (when they gather words).

Do the following to add or delete options:

  1. In the WeSay Configuration Tool, click [image] Option Lists.

  2. In the Field box, select the desired field.

  3. Do one of the following:

    • Click [image] New Option. Click the Name box, and then type a name for the new option.

    • In the left pane, click the unwanted option. Click [image] Delete Option.

Related Topics

Option fields

WeSay Configuration Tool overview


WeSay overview

WeSay Application overview

Advisors use the WeSay Configuration Tool to configure the WeSay Application (WeSay). Task-Based Approach to Dictionary Making and Getting Started describe enabling tasks and making actions visible.

By configuring what WeSay can do for each individual person or group of people, users are less likely to be overwhelmed by too many buttons and options. Then, users can more easily make different and discrete contributions to the dictionary.

Here are tasks or actions that may be completed in WeSay. They are grouped according to how they appear on the Home tab:

  • Gather

  • Describe

  • Review

  • Refine

  • Share

Related Topics

Concepts overview

Open a WeSay project


Gather overview

If enabled by the advisor, users can do these Gather tasks in WeSay:

  • Gather Words (using the CAWL Word List)

  • Gather Words (by Semantic Domains)

Related Topics

Home tab

WeSay overview


Gather Words by Semantic Domain

Semantic Domains

A Gather task users can do is to collect words or phrases by semantic domains.

  1. On the Home tab, click Semantic Domains.

    The Semantic Domains tab comes into view. Near the top of the tab, the current semantic domain appears in a box. A question appears below the box. Near the bottom of the tab, the Word field shows the abbreviation of the vernacular language.

  2. Read the question, and then think of words or phrases that answer the question.

  3. Click the Word field.

  4. Type a word or phrase in the Word field that answers the question, and then click [image], or press the Enter key on your keyboard.

    The word or phrase you typed moves into the center pane.

  5. Repeat step 4 for each word or phrase that answers the question you can see.

  6. When you have typed as many words or phrases as you can for that question, click [image], or press Page Down.

    A different question appears. It may be for the current semantic domain, or for the next semantic domain.

    • Repeat steps 2 through 6 for this question.

  7. To move backwards to a question you have already seen, click [image], or press Page Up until you see the desired question.

    • Repeat steps 2 through 6 again for the question you can see, if you think of more words or phrases.

  8. To manually choose a particular semantic domain, click the down arrow ( [image]) in the box that displays the semantic domain, and then click the desired semantic domain.

    The first question for that semantic domain appears below the box.

    • Repeat steps 2 through 6 for that semantic domain and each of its questions.

Related Topics

Gather overview

WeSay overview


Gather Words with CAWL Word List

Gather Words using the CAWL Word List

A Gather task users can do is to enter vernacular words or phrases that have the same meaning as words in the SIL-CAWL word list.

  1. On the Home tab, click CAWL Word List.

    The CAWL Word List tab comes into view. Near the top of the tab, the current word from the word list appears in a box. The Word field shows the abbreviation of the vernacular language. The box under the Word field displays any words that have been typed before.

  2. Read the word in the box, and then think of vernacular words or phrases that have the same meaning.

  3. Click the Word field.

  4. Type a word or phrase.

    • Click [image], or press the Enter key on your keyboard.

      The word or phrase you typed moves into the box under the Word field.

  5. Repeat step 4 for as many different vernacular words or phrases as you can.

  6. To move to the next word in the word list, click [image], or press Page Down.

    • Repeat steps 2 through 5 above.

  7. To move backwards to a word you already seen, click [image], or press Page Up.

    • Repeat steps 2 through 5 above.

Note

  • Some users may also have the SILCAWL-MozambiqueAddendum word list file. Users with that file can also do the procedure above, but would select CAWL-MOZ on the Home tab.

Related Topics

Gather overview

WeSay overview


Describe overview

If enabled by the advisor, users can do these Describe tasks in WeSay:

  • Dictionary Browse & Edit

    • Add or delete a word

    • Show/Hide Uncommon Fields

    • Use the Question about <word> dialog box

  • Meanings

  • Parts of Speech

  • Example Sentences

Related Topics

Home tab

WeSay overview


Add or delete a word

If the advisor enabled Dictionary Browse & Edit, users can add or delete words.

Add a word

  1. In WeSay, click the Dictionary Browse & Edit tab.

  2. Click [image] New Word.

  3. Type the word in the Word field.

  4. Type other content in displayed fields, as appropriate.

    • Optionally, click Show Uncommon Fields to show more fields.

Delete a word

  1. In WeSay, click the Dictionary Browse & Edit tab.

  2. In the right pane, click the word you want to delete.

  3. Click [image] Delete This Word.

Related Topics

Describe overview

Fields overview


Dictionary Browse & Edit (WeSay)

Dictionary Browse & Edit

A Describe task users can do is to look at each word and its dictionary entry, and then enter or edit, or select content in one or more fields.

  1. On the Home tab, click Dictionary Browse & Edit.

In the Dictionary Browse & Edit tab, the left pane shows all the words in the dictionary. (The contents from the Word fields, not Citation Form fields are used in the left column.)
In the right pane, the top portion show a preview of the current dictionary entry. Below that, fields that are selected and set up for display appear. To see all the selected fields, even if they are empty, click Show Uncommon Fields.

  2. In the left pane, click a word.

  3. In the right pane, examine the content in each field.

    • As necessary, and as you are able, enter or edit, or select content.

    • To add an additional meaning (sense) to the current word, do the following:

      • In the last Meaning field, click (or type) the meaning in at least one language, if more than one is shown.

      • Press the Enter key on your keyboard.

    • For Picture fields, click Choose Image File, and then select the picture.

      • Click Remove Image to remove a picture from the current entry.

    • Use the Question about <word> dialog box to record comments or questions about the current entry (word).

  4. Repeat steps 2 and 3 above for each word, as necessary.

Tip

  • The contents in most fields came either from an imported file, such as a LIFT file, or were added during the completion of tasks listed under Gather or Describe.

  • In the Sem Dom (Semantic Domains) field, typically more than one semantic domain can be referenced.

    • In the empty box, start typing the abbreviation, and then select the desired one from the list that appears as you type.

    • If you type an abbreviation that is not valid or a base form that is not an existing dictionary entry, the background color of the box becomes red, and an exclamation mark ( [image]) appears as a warning.

  • At the end of each line in each Meaning field, there is a star. If it is clicked, the star becomes yellow ( [image]). It is not necessary that this feature is used, and there is currently no way to track or query on them, or see any status.

    • This feature is available if you want to indicate that someone other than the person who typed the meaning approved the meaning.

Related Topics

Base Forms tab

Describe overview

Notes tab

WeSay overview


Example Sentences

A Describe task uses can do is to add example sentences that use the current word in ways that helps clarify each of its meanings (senses).

  1. On the Home tab, click Example Sentences.

    The Example Sentences tab comes into view. The To Do box shows words that need at least one example sentence. Completed shows words that have an example sentence for each meaning. The right side of the Example Sentences tab shows one or more meanings of the selected word, in one or more different languages. One or more Example fields show the abbreviation of the vernacular language.

  2. In the To Do box, click a word.

  3. Click an Example field.

  4. Type a sentence that uses the word as defined by that meaning.

    Another Example field appears for the same meaning under the example sentence you just typed.

    • If you can think of another example sentence, click the new Example field. Then, type that sentence.

  5. If the word has more meanings, repeat steps 3 and 4 for each meaning.

When each meaning has at least one example sentence, the word moves from the To Do list to the Completed list. Then, the next word in the To Do list is selected.

  6. Repeat steps 3 through 5 until there are no more words in the To Do box.

    • To move ahead to the next To Do word, or click [image] press the Page Down key on your keyboard.

      • Repeat steps 3 through 5 for that word.

    • To return to a skipped word, click [image], or press the Page Up key.

      • Repeat steps 3 through 5 for that word.

Note

  • If you press Page Down or click the large forward arrow button when the current word still does not have an example, that word is skipped and remains in To Do.

  • For words in the Completed box, you can use the Dictionary Browse tab for any subsequent changes.

Related Topics

Describe overview

WeSay overview


Meanings

A Describe task users can do is to type the meaning (or definition) for each sense of words. This task does not add additional senses to words. (Use the Dictionary Browse & Edit tab to add more senses.)

  1. On the Home tab, click Meanings.

The Meanings tab comes into view. The To Do box shows words that do not yet have meanings entered. The Completed box shows words that have their meanings. On the right side of the Meanings tab, one or more Meaning fields show the abbreviations of one or more language. The Semantic Domains field show the semantic domain of the meaning, if one has been selected for the meaning.

  2. In the To Do box, click a word.

  3. In the Meaning 1 field, click line that uses the language in which you will type the meaning of that word.

    • Look at semantic domain listed below the Meaning field, if one is shown.

    • Type an appropriate meaning of the word.

    • If you will type the meaning in another language, click the line that uses that language, and then type it.

  4. If there is a Meaning 2 field, or even more Meaning fields, repeat step 3 for each meaning.

When you have typed a meaning in each Meaning field, the word moves to the Completed box, and the next word in the To Do box is selected.

    • To move to the next To Do word, press the Page Down key, or click

      • Repeat steps 3 through 4 for that word.

    • To return to a skipped word, press the Page Up key, or click [image].

      • Repeat steps 3 through 4 for that word.

Note

  • If you press Page Down or click the large forward arrow button when the current word still does not have a meaning, that word is skipped and remains in To Do.

  • If no semantic domain information appears below the Meaning box, then no semantic domain was selected for the word.

  • For words in the Completed box, use the Dictionary Browse & Edit tab for any subsequent changes.

  • At the end of each line in each Meaning field, there is a star. If it is clicked, the star becomes yellow ( [image]). It is not necessary that this feature is used, and there is currently no way to track or query on them, or see any status.

    • This feature is available if you want to indicate that someone other than the person who typed the meaning approved the meaning.

Related Topics

Describe overview

WeSay overview


Parts of Speech

A Describe task uses can do is to select a part of speech for each sense (meaning) of words.

  1. On the Home tab, click Parts of Speech.

The Parts of Speech tab comes into view. The To Do box shows words that have at least one meaning without a part of speech (or Unknown). Completed shows words for which a part of speech was selected for each of their meanings. The right side of the Parts of Speech tab shows one or more meanings of the selected word, in one or more different languages. There is a PartsOfSpeach field for each meaning.

  2. In the To Do box, click a word.

  3. Click the PartOfSpeech button for a meaning that does not show a part of speech, and then click a part of speech.

    • Repeat this step for each meaning.

When the word has a part of speech for each meaning, that word moves to the Completed box. Then, the next word in the To Do box is selected.

  4. Repeat step 3, until there are no more words in the To Do box.

    • To move forward to the next word in the To Do box, press the Page Down key, or click

      • Repeat step 3 for that word.

    • To move backwards to different word or to a skipped word, press the Page Up key, or click [image].

      • Repeat step 3 for that word.

Note

  • If you press Page Down or click the large forward arrow button when a meaning of the current word does not yet have a part of speech, that word is skipped and remains in To Do.

  • For words in the Completed box, use the Dictionary Browse & Edit tab for any subsequent changes.

  • Advisors add PartsOfSpeech field options in the WeSay Configuration Tool.

Related Topics

Describe overview

WeSay overview


Question about <word> dialog box

To enter a comment or question about the current entry (word), do the following:

  1. Click the Dictionary Browse & Edit tab.

  2. In the left pane, click the desired word.

  3. Click the Add new question button( [image]) which is just above the Word field label.

    The Question about <word> dialog box opens.

  4. Type your comment or question below Add new message, and then do one of the following:

    • If you will type another one, click Add.

      Your comment or question moves to the top part of the dialog box.

      Type your next comment or question below Add new message.

    • If you will not type another one, click Add & OK.

    • To indicate that a question has been answered, select ( [image]) Resolved.

Note

  • For each comment or question, a question button ( [image]) appears. For each resolved question or comment check mark is added to the question button ( [image])

  • You can

    • hover your mouse pointer over each button to see a brief overview, and

    • click a button to reopen the dialog box for that comment or question.

  • To see all questions or comments that are not yet resolved, click the Home tab, and then click the Notes button.

Related Topics

Describe overview

Home tab

WeSay overview


Show Uncommon Fields

Show/Hide Uncommon Fields

Advisors can specify the visibility of individual fields that are displayed in Dictionary Browse & Edit.

  • If Normally hidden if empty is selected ( [image]), these fields are not displayed in WeSay when they are empty.

    • To see these fields, click Show Uncommon Fields.

    • To hide them again, click Hide Uncommon Fields.

Tip

  • You may see a large number of fields shown or hidden, or you may see no changes at all. It depends on the number of fields enabled for display, whether Normally Hidden if empty is selected or not, and which fields have content.

Related Topics

Describe overview

Fields overview


Review overview

If enabled by the advisor, users can do these Review tasks in WeSay:

  • History

  • Notes

Related Topics

Home tab

WeSay overview


Base Forms

The Refine task you can do is enter the base form of words, or specify that the work has no base form.

  1. On the Home tab, click Base Forms.

In the Base Forms tab, the To Do list has words that you need to refine. Refined words appear under Completed.

  2. In the To Do list, click a word.

    • If the word has no base form, select ( [image]) This word has no Base Form.

    • If the word has a base form, click the Base Form field, and then select the form.

  3. The next word listed in the To Do list is selected. Repeat step 2 for that word.

  4. To skip to the next word, click [image]. To skip to a word you skipped previously, click [image].

    • Repeat step 2 as you are able.

Note

  • To edit a base form after the word has moved into the Completed list, edit it in the Dictionary Browse & Edit tab. If you type a base form that is not an existing dictionary entry, then a red exclamation mark ( [image]) appears as a warning.

Related Topics

Gather overview

WeSay overview


History

A Review task you can do is review project changes.

  1. On the Home tab, click History.

In the History tab, the top Review Project Changes pane lists rows of all the changes, with a date and time, person and action. You can click a change in this pane.

The bottom left pane shows changes for the current change, with the words and action that represents that change. You can click a word in this pane.

The bottom right pane shows details of the changed word, in either a human readable form (Normal), or XML form (Raw).

Note

  • To edit a word based on your review of history, edit it in the Dictionary Browse & Edit tab. Otherwise, you may need to restore the dictionary from an older backup file.

Related Topics

Review overview

WeSay overview


Notes

A Review task you can do is look at the notes. Currently, notes can appear in the case of a merge conflict, or as comments or questions you record in an entry (word).

Do any of the following:

  • On the Home tab, below Review, click Notes.

    The Notes tab lists all the notes in this dictionary. Some might need review and closure, and some might be resolved.

    • To show resolved notes, click [image] , and then select ( [image]) Show Closed Notes.

    • To hide resolved notes, click [image], and then clear the Show Closed Notes command.

  • To search for a particular note, type the word in the Find box ( [image]).

  • In the left pane, click a note. Then do any of the following in the right pane:

    • To answer a question or to comment on the current note, type it in the Add new message box, and then click Add.

    • To close the current note, select ( [image]) Resolved.

Related Topics

Review overview

WeSay overview


Refine overview

If enabled by the advisor, users can do this Refine task in WeSay:

  • Base Forms

Related Topics

Home tab

WeSay overview


Share overview

When these actions are made visible on the WeSay Home tab, users can do any of the following:

  • Backup to USB Flash Drive

  • Email this dictionary to <name>

  • Send/Receive

  • Open in Lexique Pro

  • Make Pdf Dictionary

  • Export to SFM

  • Make OpenOffice Document

  • Export to XHTML

Related Topics

WeSay overview


Backup from WeSay

Anytime you exit WeSay, the current dictionary is automatically backed up.

If the action called Backup to USB Flash Drive is made visible, you can manually back up the dictionary onto a USB storage device. This is different than the Send/Receive feature.

To do this, do the following:

  1. Connect a USB storage device with sufficient space to your computer.

  2. On the Home tab, click Backup.

Related Topics

Share overview

WeSay overview


Email

If the action called Email this dictionary is made visible in WeSay, users can email the dictionary as a compressed file to the named recipient.

  1. Click the WeSay Home tab.

  2. Click Email, (which is under Share).

    A new email is created using the default email program.

    The recipient's address is filled in. A descriptive sentence is added to the body of the email. The compressed file is attached, and the name of the dictionary is added to the Subject line.

  3. If necessary, edit the subject line or the default text in the body of the email.

  4. Send the email.

Related Topics

Share overview

WeSay overview


Export to SFM from WeSay

Export to SFM

If the action called Export to SFM is made visible in WeSay, users can export the current dictionary to an SFM file.

Do the following:

  • On the Home tab, click Export to SFM.

    The file opens in the default text editor, such as NotePad.

Related Topics

Share overview

WeSay overview


Export to XHTML from WeSay

If the action called Export to XHTML is made visible in WeSay, users can export the current dictionary to an XHTML file.

Do the following:

  • On the Home tab, click Export to XHTML.

    The file opens in the default web browser (Internet Explorer, Mozilla Firefox, and so on).

Related Topics

Share overview

WeSay overview


Make OpenOffice Document from WeSay

Make OpenOffice Document

If the action called Make an OpenOffice Document is made visible in WeSay, then users can send the current dictionary to an OpenDocument format (ODF) file.

Do the following:

  • On the Home tab, click Make OpenOffice Document.

    The dictionary opens in the program set as the default program for OpenDocument format files, which is typically OpenOffice or LibreOffice.

Related Topics

Share overview

WeSay overview


Make PDF Dictionary from WeSay

Users can send the current dictionary to a PDF file,

  • if the action called Make Pdf Dictionary is made visible in WeSay, and

  • if the computer has software used to make and view PDF files.

Do the following:

  • On the Home tab, click Make Pdf Dictionary.

    The file opens in the default PDF file reader.

Related Topics

Share overview

WeSay overview


Open in Lexique Pro from WeSay

Users can open the current dictionary in Lexique Pro,

  • if the action called Open in Lexique Pro is made visible in WeSay, and

  • if Lexique Pro installed on the computer.

Do the following:

  • On the Home tab, click Open in Lexique Pro.

    The dictionary opens in Lexique Pro.

Related Topics

Share overview

WeSay overview


Send/Receive from WeSay

When the action called Send/Receive is made visible in WeSay, a group of users can collaborate by exchanging data. Each user can update a repository, and receive other users' changes. The repository can be on a common USB thumb drive, on the Internet, or on a shared network folder.

Do the following:

  1. Connect the USB Thumb drive to your computer.

  2. On the Home tab, click Send/Receive.

  3. In the WeSay Send/Receive dialog box, Do the following:

    • Type your name in the Your Name box, if it is not already there.

    • Type a brief but meaningful statement in the Label this point in the project history (optional) box (optional).

    • Click the button that has the repository:

      • USB Flash Drive

      • Internet

      • Shared Network Folder

  4. If you used a USB flash drive, give it to another user, so they can repeat the steps above.

  5. Repeat these steps above until everyone has everyone else's changes.

Important

  • Except for user-specific configuration settings, any custom WeSay configuration settings that the advisor set for individual users are lost when they use Send/Receive. That is, after all the users have synchronized their data with the repository the will all share a common configuration.
    The repository folder contains two configuration settings files:

    • One file stores user-specific configuration setting, and is not updated by Send/Receive.

    • The other file stores all the other configuration settings and is updated by Send/Receive.

Related Topics

Share overview

WeSay overview


See the About WeSay Info box

See the About WeSay Configuration Tool information box

  • In the WeSay Configuration Tool, click [image] , and then click About WeSay.

The information in this box is useful when you report a bug.

Related Topics

Basic Tasks overview

WeSay Configuration Tool overview


Get from Internet

To create a new WeSay project from FieldWorks Language Exporter (FLEx) data, you can use Send/Receive LIFT in FLEx to put the repository on the Internet, and then do the following in WeSay:

  1. Make sure your computer is connected to the Internet.

  2. If the WeSay Configuration Tool is not running, do the following:

    • Click the Start menu, point to All Programs, expand the WeSay folder, and then click [image] WeSay Configuration Tool.

    The WeSay Configuration Tool window opens to the first window.

  3. Click [image] Get From Internet.

    The Get Project From Internet dialog box opens.

  4. In the dialog box, do the following:

    • Select the server that has the data.

    • Type the Project ID.

    • Type your account number and your password.

    • Type a name for the folder on your computer the will receive the downloaded data.

    • Click Download.

Related Topics

Interact with FLEx

Set up a new project overview

WeSay Configuration Tool overview


Get from USB drive

To create a new WeSay project from FieldWorks Language Exporter (FLEx) data, you can use Send/Receive LIFT in FLEx to put the repository on a USB flash drive, and then do the following in WeSay:

  1. Make sure the USB flash drive is connected to your computer.

  2. If the WeSay Configuration Tool is not running, do the following:

    • Click the Windows Start menu, point to All Programs, expand the WeSay folder, and then click [image] WeSay Configuration Tool.

    The WeSay Configuration Tool window opens to the first window.

  3. Click [image] Get From USB drive.

    The Get Project From USB Drive dialog box opens.

  4. In the dialog box, do the following:

    • Click the folder that has the FLEx data.

    • Click Copy to Computer.

Related Topics

Interact with FLEx

Set up a new project overview

WeSay Configuration Tool overview


Select fields to display

Select fields to display in WeSay

Advisors select specific field they want available for WeSay users.

  1. Open the project in the WeSay Configuration Tool.

  2. Click [image] Fields.

  3. In the center pane,

    • select ( [image]) the check box for each field you want to display in WeSay

    • clear ( [image]) the check box for all other fields.

  4. Type or select field attributes in the Setup tab, as necessary.

Related Topics

Fields overview